Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.validators
Class ThemeStyleNameValidator

    java.lang.Object
      org.eclipse.birt.report.model.validators.AbstractSemanticValidator
          org.eclipse.birt.report.model.validators.AbstractElementValidator
              org.eclipse.birt.report.model.api.validators.ThemeStyleNameValidator

    public class ThemeStyleNameValidator

extends org.eclipse.birt.report.model.validators.AbstractElementValidator

Validates the ducplicat style name in the theme.

### Rule

The rule is that one theme element doesn't allow duplicate style name to appear in this element.

### Applicability

This validator is only applied to `Theme`.

Field Summary

Fields inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator
`modules, name`

Constructor Summary
`ThemeStyleNameValidator()`

Method Summary
`static ThemeStyleNameValidator` | `getInstance()` Returns the singleton validator instance.
`java.util.List<SemanticException>` | `validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`
`java.util.List<SemanticException>` | `validateForAddingStyle(ThemeHandle theme, java.lang.String styleName)` Validates whether the style with the given name can be added into the given theme element.
`java.util.List<SemanticException>` | `validateForRenamingStyle(ThemeHandle theme, StyleHandle style, java.lang.String styleName)` Validates whether the style can be renamed to the given name.

Methods inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator
`canApplyToDesign, canApplyToLibrary, getName, isInTemplateParameterDefinitionSlot, setModules, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThemeStyleNameValidator

    public ThemeStyleNameValidator()

Method Detail

### getInstance

    public static ThemeStyleNameValidator getInstance()

  Returns the singleton validator instance.

  Returns:
    the validator instance

### validateForAddingStyle

    public java.util.List<SemanticException> validateForAddingStyle(ThemeHandle theme,
                                                                    java.lang.String styleName)

  Validates whether the style with the given name can be added into the given theme element.

  Parameters:
    `theme` - the theme element
    `styleName` - name of the style to add
  Returns:
    error list, each of which is the instance of `SemanticException`.

### validateForRenamingStyle

    public java.util.List<SemanticException> validateForRenamingStyle(ThemeHandle theme,
                                                                      StyleHandle style,
                                                                      java.lang.String styleName)

  Validates whether the style can be renamed to the given name.

  Parameters:
    `theme` - the theme element
    `style` - the style to rename
    `styleName` - the new name of the style to add
  Returns:
    error list, each of which is the instance of `SemanticException`.

### validate

    public java.util.List<SemanticException> validate(org.eclipse.birt.report.model.core.Module module,
                                                      org.eclipse.birt.report.model.core.DesignElement element)

  Specified by:
    `validate` in class `org.eclipse.birt.report.model.validators.AbstractElementValidator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.